<template>
    <div>
        <div class="tab-container">
            <div class="tab-header">
                <div class="card-title-container">
                    <i :class="abandonedCard.icon + ` my-icon`" />
                    <div class="my-card-title">
                        {{ abandonedCard.title }}
                    </div>
                </div>
            </div>
            <div class="content-container">
                <div class="sales-container">
                    <div class="card-count">
                        {{ $formatter.fixedNumber(abandonedCard.salesCount) }}
                    </div>
                    <div class="card-title">
                        {{ abandonedCard.salesTitle }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "AbandonedCard",
    props: ['abandonedCard']
}
</script>

<style scoped>


.tab-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #DFE6F2;
    padding: 15px 20px;

}


.content-container {
    padding: 20px 0;
    display: flex;
    justify-content: space-around;
}

.sales-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-count {
    font-size: 24px;
    font-weight: 900;
    color: #4786FF;
}

.card-title {
    color: #A8B2C4;
    font-size: 12px;
}

.card-title-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
}

.tab-container {
    background: white;
    margin-bottom: 30px;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    border-radius: 5px;
}


.my-card-title {
    margin-left: 5px;
}

</style>
